# cp_mgmt_application_site – Manages application-site objects on Check Point over Web Services API

New in version 2.9.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Manages application-site objects on Check Point devices including creating, updating and removing objects.
- All operations are performed over Web Services API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
additional_categories list |  | Used to configure or edit the additional categories of a custom application / site used in the Application and URL Filtering or Threat Prevention.
application_signature string |  | Application signature generated by <a href="https,//supportcenter.checkpoint.com/supportcenter/portal?eventSubmit_doGoviewsolutiondetails=&solutionid=sk103051">Signature Tool</a>.

auto_publish_session
boolean

Choices:
- no
- yes

Publish the current session if changes have been performed after task completes.

color
string

Choices:
- aquamarine
- black
- blue
- crete blue
- burlywood
- cyan
- dark green
- khaki
- orchid
- dark orange
- dark sea green
- pink
- turquoise
- dark blue
- firebrick
- brown
- forest green
- gold
- dark gold
- gray
- dark gray
- light green
- lemon chiffon
- coral
- sea green
- sky blue
- magenta
- purple
- slate blue
- violet red
- navy blue
- olive
- orange
- red
- sienna
- yellow

Color of the object. Should be one of existing colors.

comments string |  | Comments string.
description string |  | A description for the application.

details_level
string

Choices:
- uid
- standard
- full

The level of detail for some of the fields in the response can vary from showing only the UID value of the object to a fully detailed representation of the object.

groups list |  | Collection of group identifiers.

ignore_errors
boolean

Choices:
- no
- yes

Apply changes ignoring errors. You won't be able to publish such a changes. If ignore-warnings flag was omitted - warnings will also be ignored.

ignore_warnings
boolean

Choices:
- no
- yes

Apply changes ignoring warnings.

name string / required |  | Object name.
primary_category string |  | Each application is assigned to one primary category based on its most defining aspect.

state
string

Choices:
- present ←
- absent

State of the access rule (present or absent). Defaults to present.

tags list |  | Collection of tag identifiers.
url_list list |  | URLs that determine this particular application.

urls_defined_as_regular_expression
boolean

Choices:
- no
- yes

States whether the URL is defined as a Regular Expression or not.

version string |  | Version of checkpoint. If not given one, the latest version taken.

wait_for_task
boolean

Choices:
- no
- yes ←

Wait for the task to end. Such as publish task.

## Examples

    - name: add-application-site
      cp_mgmt_application_site:
        additional_categories:
        - Instant Chat
        - Supports Streaming
        - New Application Site Category 1
        description: My Application Site
        name: New Application Site 1
        primary_category: Social Networking
        state: present
        url_list:
        - www.cnet.com
        - www.stackoverflow.com
        urls_defined_as_regular_expression: false

    - name: set-application-site
      cp_mgmt_application_site:
        description: My New Application Site
        name: New Application Site 1
        primary_category: Instant Chat
        state: present
        urls_defined_as_regular_expression: true

    - name: delete-application-site
      cp_mgmt_application_site:
        name: New Application Site 2
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
cp_mgmt_application_site dictionary | always, except when deleting the object. | The checkpoint object created or updated.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Or Soffer (@chkp-orso)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.